#include <stdio.h>
#include "ldevice.h"

int main() {
    int tag = system_get_tag();

    const char *name = system_get_name();

    int active = system_is_active();

    const char* osversion = system_get_osversion();

    const char* uuid = system_get_uuid();

    const char* cpu = system_get_cpu();

    const char* mac = system_get_mac();

    const char* blkid = system_get_blkid();

    const char* disk = system_get_disk_uuid();

    const char* token = system_get_token();

    printf("tag: %d\nname: %s\nactive: %d\nosversion: %s\nuuid: %s\ncpu: %s\nmac: %s\nblkid: %s\ndisk: %s\ntoken: %s\n", tag, name, active, osversion, uuid, cpu, mac, blkid, disk, token);

    return 0;
}